name: Hugo deploy

on:
  push:
    branches:
      - master
  workflow_dispatch:

defaults:
  run:
    working-directory: /var/lib/hugo/blog

jobs:
  retrieve-and-execute:
    runs-on: self-hosted

    steps:
    # Checkout the repository
    - name: Checkout Repository
      run: git pull https://git.assilvestrar.club/lourenco/assilvestrar-blog.git master

    # Execute your command
    - name: Build hugo
      run: hugo build
